/*
 * $Id: ListPropertiesTest.java 11 2007-02-07 09:06:18Z max $
 *
 * Copyright (c) 2007 Maximilian Antoni. All rights reserved.
 * 
 * This software is licensed as described in the file LICENSE.txt, which you
 * should have received as part of this distribution. The terms are also
 * available at http://www.maxantoni.de/projects/eva-properties/license.txt.
 */
package com.eva.properties;

import java.io.IOException;
import java.io.StringReader;
import java.util.List;

import junit.framework.TestCase;

/**
 * @author Max Antoni
 * @version $Revision: 11 $
 */
public class ListPropertiesTest extends TestCase {
    
    public void testEOF() throws IOException {
        List list = PropertiesFactory.createList(new StringReader(
                "\"foo\"\n${0}"));
        assertEquals(2, list.size());
        assertEquals("foo", list.get(0));
        assertEquals("foo", list.get(1));
    }
    
}
