/*
 * $Id: ProxyTest.java 69 2007-03-07 06:50:17Z max $
 *
 * Copyright (c) 2006-2007 Maximilian Antoni. All rights reserved.
 * 
 * This software is licensed as described in the file LICENSE.txt, which you
 * should have received as part of this distribution. The terms are also
 * available at http://www.maxantoni.de/projects/eva-properties/license.txt.
 */
package com.eva.properties;

import java.io.IOException;
import java.util.Map;

import junit.framework.TestCase;

/**
 * @author Max Antoni
 * @version $Revision: 69 $
 */
public class ProxyTest extends TestCase {

    public void testClassLoader() throws IOException {
        Map proxy = PropertiesFactory.createMap(getClass().getClassLoader(),
                "classpath://com/eva/properties/proxy.eva");
        Map simple = (Map) proxy.get("simple");
        assertNotNull(simple);
        ClassLoader classLoader = (ClassLoader) simple.get("classloader");
        assertNotNull(classLoader);
        assertSame(getClass().getClassLoader(), classLoader);
    }
    
}
