/*
 * $Id: Log.java 9 2007-02-06 18:20:13Z max $
 * 
 * Copyright (c) 2006-2007 Maximilian Antoni. All rights reserved.
 * 
 * This software is licensed as described in the file LICENSE.txt, which you
 * should have received as part of this distribution. The terms are also
 * available at http://www.maxantoni.de/projects/eva-properties/license.txt.
 */
package com.eva.properties;

import java.util.logging.Logger;

/**
 * is the logger for all classes in this package. Localized messages will be
 * read from the properties file  <code>com.eva.properties.messages</code>.
 * 
 * @author Max Antoni
 * @version $Revision: 9 $
 */
class Log {
    static final Logger INSTANCE = Logger.getLogger("com.eva.properties",
            "com.eva.properties.messages");
    
    /**
     * Konstruktion verbieten.
     */
    private Log() {
        super();
    }
    
}
